/*****************************************************************************/
/* htmlbitmap.h - 03/08/99 - By Christophe LOREK - CRYO-NETWORKS             */
/*                                                                           */
/* HTMLBITMAP class                                                          */
/*                                                                           */
/* last modified on 03/08/99 By Christophe LOREK                             */
/*****************************************************************************/


#ifndef HTMLBITMAP_H
#define HTMLBITMAP_H

#include <stdlib.h>
#include <string.h>

#include "node.h"
#include "structs.h"
#include "../x/version.h"
#include "../x/scolplugin.h"

// bitmap status
#define HTMLBITMAP_STATUS_NOOBJ	0
#define HTMLBITMAP_STATUS_OK		1


class HTMLBITMAP 
{
	public :
		int x;
		int y;
		int w;
		int h;
		int cx;
		int cy;

	private :
		char	*url;
		int		status;
		int		align;
		int		border;

	public :
	HTMLBITMAP(mmachine m,int givenalign,int givenwidth,int givenheight,int givenborder,char *givenurl);
	~HTMLBITMAP();
	int DRAWbitmap();
	char *Url();
	int Status();
	int SetStatus(int givenstatus);
	int Align();
	int Border();	
};

#endif
